ApiHiveReplicationArguments (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiHiveReplicationArguments

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiHiveReplicationArguments

- Direct Known Subclasses:
    ApiHiveCloudReplicationArguments

      @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiHiveReplicationArguments
      extends Object

  Replication arguments for Hive services.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiHiveReplicationArguments()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiHiveReplicationArguments` | `addTableFiltersItem(ApiHiveTable tableFiltersItem)`
    `ApiHiveReplicationArguments` | `atlasReplicationNeeded(Boolean atlasReplicationNeeded)`
    `ApiHiveReplicationArguments` | `dryRun(Boolean dryRun)`
    `boolean` | `equals(Object o)`
    `ApiHiveReplicationArguments` | `exportDir(String exportDir)`
    `ApiHiveReplicationArguments` | `force(Boolean force)`
    `String` | `getExportDir()` Directory, in the HDFS service where the target Hive service's data is stored, where the export file will be saved.
    `ApiHdfsReplicationArguments` | `getHdfsArguments()` Get hdfsArguments
    `BigDecimal` | `getNumThreads()` Number of threads to use in multi-threaded export/import phase
    `Map<String,String>` | `getRangerImportProperties()` Additional properties to add or override in authorization-migration-site.xml for Ranger import, on the destination.
    `Map<String,String>` | `getSentryExportProperties()` Additional properties to add or override in authorization-migration-site.xml for Sentry export, on the source.
    `ApiServiceRef` | `getSourceService()` Get sourceService
    `List<ApiHiveTable>` | `getTableFilters()` Filters for tables to include in the replication.
    `int` | `hashCode()`
    `ApiHiveReplicationArguments` | `hdfsArguments(ApiHdfsReplicationArguments hdfsArguments)`
    `Boolean` | `isAtlasReplicationNeeded()` Get atlasReplicationNeeded
    `Boolean` | `isDryRun()` Whether to perform a dry run.
    `Boolean` | `isForce()` Whether to force overwriting of mismatched tables.
    `Boolean` | `isReplicateData()` Whether to replicate table data stored in HDFS.
    `Boolean` | `isReplicateImpalaMetadata()` Whether to replicate the impala metadata.
    `Boolean` | `isRunInvalidateMetadata()` Whether to run invalidate metadata query or not
    `Boolean` | `isSentryMigration()` Get sentryMigration
    `Boolean` | `isSkipUrlPermissions()` Is skipUrlPermissions on.
    `ApiHiveReplicationArguments` | `numThreads(BigDecimal numThreads)`
    `ApiHiveReplicationArguments` | `putRangerImportPropertiesItem(String key, String rangerImportPropertiesItem)`
    `ApiHiveReplicationArguments` | `putSentryExportPropertiesItem(String key, String sentryExportPropertiesItem)`
    `ApiHiveReplicationArguments` | `rangerImportProperties(Map<String,String> rangerImportProperties)`
    `ApiHiveReplicationArguments` | `replicateData(Boolean replicateData)`
    `ApiHiveReplicationArguments` | `replicateImpalaMetadata(Boolean replicateImpalaMetadata)`
    `ApiHiveReplicationArguments` | `runInvalidateMetadata(Boolean runInvalidateMetadata)`
    `ApiHiveReplicationArguments` | `sentryExportProperties(Map<String,String> sentryExportProperties)`
    `ApiHiveReplicationArguments` | `sentryMigration(Boolean sentryMigration)`
    `void` | `setAtlasReplicationNeeded(Boolean atlasReplicationNeeded)`
    `void` | `setDryRun(Boolean dryRun)`
    `void` | `setExportDir(String exportDir)`
    `void` | `setForce(Boolean force)`
    `void` | `setHdfsArguments(ApiHdfsReplicationArguments hdfsArguments)`
    `void` | `setNumThreads(BigDecimal numThreads)`
    `void` | `setRangerImportProperties(Map<String,String> rangerImportProperties)`
    `void` | `setReplicateData(Boolean replicateData)`
    `void` | `setReplicateImpalaMetadata(Boolean replicateImpalaMetadata)`
    `void` | `setRunInvalidateMetadata(Boolean runInvalidateMetadata)`
    `void` | `setSentryExportProperties(Map<String,String> sentryExportProperties)`
    `void` | `setSentryMigration(Boolean sentryMigration)`
    `void` | `setSkipUrlPermissions(Boolean skipUrlPermissions)`
    `void` | `setSourceService(ApiServiceRef sourceService)`
    `void` | `setTableFilters(List<ApiHiveTable> tableFilters)`
    `ApiHiveReplicationArguments` | `skipUrlPermissions(Boolean skipUrlPermissions)`
    `ApiHiveReplicationArguments` | `sourceService(ApiServiceRef sourceService)`
    `ApiHiveReplicationArguments` | `tableFilters(List<ApiHiveTable> tableFilters)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiHiveReplicationArguments

          public ApiHiveReplicationArguments()

  - ### Method Detail

    - #### sourceService

          public ApiHiveReplicationArguments sourceService(ApiServiceRef sourceService)

    - #### getSourceService

          public ApiServiceRef getSourceService()

      Get sourceService
      Returns:
        sourceService

    - #### setSourceService

          public void setSourceService(ApiServiceRef sourceService)

    - #### tableFilters

          public ApiHiveReplicationArguments tableFilters(List<ApiHiveTable> tableFilters)

    - #### addTableFiltersItem

          public ApiHiveReplicationArguments addTableFiltersItem(ApiHiveTable tableFiltersItem)

    - #### getTableFilters

          public List<ApiHiveTable> getTableFilters()

      Filters for tables to include in the replication. Optional. If not provided, include all tables in all databases.
      Returns:
        tableFilters

    - #### setTableFilters

          public void setTableFilters(List<ApiHiveTable> tableFilters)

    - #### exportDir

          public ApiHiveReplicationArguments exportDir(String exportDir)

    - #### getExportDir

          public String getExportDir()

      Directory, in the HDFS service where the target Hive service's data is stored, where the export file will be saved. Optional. If not provided, Cloudera Manager will pick a directory for storing the data.
      Returns:
        exportDir

    - #### setExportDir

          public void setExportDir(String exportDir)

    - #### force

          public ApiHiveReplicationArguments force(Boolean force)

    - #### isForce

          public Boolean isForce()

      Whether to force overwriting of mismatched tables. Defaults to false.
      Returns:
        force

    - #### setForce

          public void setForce(Boolean force)

    - #### replicateData

          public ApiHiveReplicationArguments replicateData(Boolean replicateData)

    - #### isReplicateData

          public Boolean isReplicateData()

      Whether to replicate table data stored in HDFS. Defaults to false. <p/> If set, the \"hdfsArguments\" property must be set to configure the HDFS replication job.
      Returns:
        replicateData

    - #### setReplicateData

          public void setReplicateData(Boolean replicateData)

    - #### hdfsArguments

          public ApiHiveReplicationArguments hdfsArguments(ApiHdfsReplicationArguments hdfsArguments)

    - #### getHdfsArguments

          public ApiHdfsReplicationArguments getHdfsArguments()

      Get hdfsArguments
      Returns:
        hdfsArguments

    - #### setHdfsArguments

          public void setHdfsArguments(ApiHdfsReplicationArguments hdfsArguments)

    - #### replicateImpalaMetadata

          public ApiHiveReplicationArguments replicateImpalaMetadata(Boolean replicateImpalaMetadata)

    - #### isReplicateImpalaMetadata

          public Boolean isReplicateImpalaMetadata()

      Whether to replicate the impala metadata. (i.e. the metadata for impala UDFs and their corresponding binaries in HDFS).
      Returns:
        replicateImpalaMetadata

    - #### setReplicateImpalaMetadata

          public void setReplicateImpalaMetadata(Boolean replicateImpalaMetadata)

    - #### runInvalidateMetadata

          public ApiHiveReplicationArguments runInvalidateMetadata(Boolean runInvalidateMetadata)

    - #### isRunInvalidateMetadata

          public Boolean isRunInvalidateMetadata()

      Whether to run invalidate metadata query or not
      Returns:
        runInvalidateMetadata

    - #### setRunInvalidateMetadata

          public void setRunInvalidateMetadata(Boolean runInvalidateMetadata)

    - #### dryRun

          public ApiHiveReplicationArguments dryRun(Boolean dryRun)

    - #### isDryRun

          public Boolean isDryRun()

      Whether to perform a dry run. Defaults to false
      Returns:
        dryRun

    - #### setDryRun

          public void setDryRun(Boolean dryRun)

    - #### numThreads

          public ApiHiveReplicationArguments numThreads(BigDecimal numThreads)

    - #### getNumThreads

          public BigDecimal getNumThreads()

      Number of threads to use in multi-threaded export/import phase
      Returns:
        numThreads

    - #### setNumThreads

          public void setNumThreads(BigDecimal numThreads)

    - #### sentryMigration

          public ApiHiveReplicationArguments sentryMigration(Boolean sentryMigration)

    - #### isSentryMigration

          public Boolean isSentryMigration()

      Get sentryMigration
      Returns:
        sentryMigration

    - #### setSentryMigration

          public void setSentryMigration(Boolean sentryMigration)

    - #### skipUrlPermissions

          public ApiHiveReplicationArguments skipUrlPermissions(Boolean skipUrlPermissions)

    - #### isSkipUrlPermissions

          public Boolean isSkipUrlPermissions()

      Is skipUrlPermissions on.
      Returns:
        skipUrlPermissions

    - #### setSkipUrlPermissions

          public void setSkipUrlPermissions(Boolean skipUrlPermissions)

    - #### atlasReplicationNeeded

          public ApiHiveReplicationArguments atlasReplicationNeeded(Boolean atlasReplicationNeeded)

    - #### isAtlasReplicationNeeded

          public Boolean isAtlasReplicationNeeded()

      Get atlasReplicationNeeded
      Returns:
        atlasReplicationNeeded

    - #### setAtlasReplicationNeeded

          public void setAtlasReplicationNeeded(Boolean atlasReplicationNeeded)

    - #### sentryExportProperties

          public ApiHiveReplicationArguments sentryExportProperties(Map<String,String> sentryExportProperties)

    - #### putSentryExportPropertiesItem

          public ApiHiveReplicationArguments putSentryExportPropertiesItem(String key,
                                                                           String sentryExportPropertiesItem)

    - #### getSentryExportProperties

          public Map<String,String> getSentryExportProperties()

      Additional properties to add or override in authorization-migration-site.xml for Sentry export, on the source.
      Returns:
        sentryExportProperties

    - #### setSentryExportProperties

          public void setSentryExportProperties(Map<String,String> sentryExportProperties)

    - #### rangerImportProperties

          public ApiHiveReplicationArguments rangerImportProperties(Map<String,String> rangerImportProperties)

    - #### putRangerImportPropertiesItem

          public ApiHiveReplicationArguments putRangerImportPropertiesItem(String key,
                                                                           String rangerImportPropertiesItem)

    - #### getRangerImportProperties

          public Map<String,String> getRangerImportProperties()

      Additional properties to add or override in authorization-migration-site.xml for Ranger import, on the destination.
      Returns:
        rangerImportProperties

    - #### setRangerImportProperties

          public void setRangerImportProperties(Map<String,String> rangerImportProperties)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.